# fn() reverse
Reverse a container in-place.

Defined in | <seqan/modifier.h>
Signature | `void reverse(sequence); void reverse(stringSet);`

## Parameters

`sequence` | The sequence to reverse in-place.
`stringSet` | The StringSet to reverse in-place.

## Detailed Description

### Remarks

StringSet objects are reverse element-wise, i.e. the entries are reverse-complemented but their order itself remains the same.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn reverse
     *
     * @headerfile <seqan/modifier.h>
     *
     * @brief Reverse a container in-place.
     *
     * @signature void reverse(sequence);
     * @signature void reverse(stringSet);
     *
     * @param[in,out] sequence The sequence to reverse in-place.
     * @param[in,out] stringSet The StringSet to reverse in-place.
     *
     * @section Remarks
     *
     * StringSet objects are reverse element-wise, i.e. the entries are reverse-
     * complemented but their order itself remains the same.
     */